Classes (extension) | Libraries>crucial>GUI

# ServerGui : ObjectGui : SCViewHolder : Object
Extension

an alternate small server view
Source: ServerGui.sc
See also: Server, ServerErrorGui

## Description

This is more compact and conforms to the .gui convention in that it can be placed on any window or view.

Its an MVC design so there can be many of them for a single server and they can be closed and will clean up after themselves.

## Class Methods

### Inherited class methods

## Instance Methods

### .writeName

### .guiBody(layout)

#### Arguments:

layout |

### .output(layout, width: 140)

#### Arguments:

layout |
width |

### .input(layout, width: 140)

#### Arguments:

layout |
width |

### .meters(layout, bounds)

#### Arguments:

layout |
bounds |

### .tail(layout)

#### Arguments:

layout |

### .update(changer, what)

#### Arguments:

changer |
what |

### Inherited instance methods

helpfile source: /Users/zzk/Library/Application Support/SuperCollider/downloaded-quarks/crucial-library/HelpSource/Classes/ServerGui.schelp
link::Classes/ServerGui::